Skip to content
Install

Restore a database from a backup, replacing all current data

POST
/databases/{id}/restore
curl --request POST \
--url https://example.com/databases/example/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "backupId": "example" }'

Auth: authenticated (scope: deploy)

id
required
string
Media typeapplication/json
object
backupId
required
string

Example generated

{
"backupId": "example"
}

OK

Media typeapplication/json
object
message
required
string
success
required
boolean
key
additional properties

Example generated

{
"message": "example",
"success": true
}